Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004442OCamlOCaml generalpublic2007-11-08 19:032007-11-20 19:54
Reporteradamc 
Assigned Todoligez 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10+dev 
Target VersionFixed in Version3.10+dev 
Summary0004442: Segfault with weak pointers
DescriptionStarting from a large program with many dependencies that began segfaulting unpredictably shortly after we added use of weak pointers, I have come up with a one-page example that reliably triggers a segmentation fault (or other nasty fault) with 3.10.1+dev0 on both ia32 and amd64 Linux. Making small changes like manual inlining of functions changes whether or not the crash occurs, so I think it is almost certain that memory corruption is occurring.
TagsNo tags attached.
Attached Files? file icon crasher.ml [^] (1,222 bytes) 2007-11-08 19:03 [Show Content]

- Relationships

-  Notes
(0004331)
doligez (administrator)
2007-11-20 12:25

The bug happens when you have a weak array pointing to another weak array.
I will fix it shortly.
(0004334)
doligez (administrator)
2007-11-20 19:54

fixed in 3.09.4+dev4 and 3.10.1+dev2

- Issue History
Date Modified Username Field Change
2007-11-08 19:03 adamc New Issue
2007-11-08 19:03 adamc File Added: crasher.ml
2007-11-10 13:59 xleroy Status new => assigned
2007-11-10 13:59 xleroy Assigned To => doligez
2007-11-20 12:25 doligez Note Added: 0004331
2007-11-20 19:54 doligez Note Added: 0004334
2007-11-20 19:54 doligez Status assigned => closed
2007-11-20 19:54 doligez Resolution open => fixed
2007-11-20 19:54 doligez Fixed in Version => 3.10+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker